{% import "AvanzuAdminThemeBundle:layout:macros.html.twig" as macro %}
<!doctype html>
<!--[if lt IE 7 ]><html lang="en" class="no-js ie6"> <![endif]-->
<!--[if IE 7 ]><html lang="en" class="no-js ie7"> <![endif]-->
<!--[if IE 8 ]><html lang="en" class="no-js ie8"> <![endif]-->
<!--[if IE 9 ]><html lang="en" class="no-js ie9"> <![endif]-->
<!--[if (gt IE 9)|!(IE)]><!--><html lang="en" class="no-js"> <!--<![endif]-->
<head>
    <meta charset="utf-8">
    <meta name="author" content="">
    <meta name="keywords" content="">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <title>{% block title %}Project Yönetim{% endblock %}</title>

    {# -------------------------------------------------------------------------------------------------- STYLESHEETS #}
    {% block stylesheets %}
    {% endblock %}

    <link rel="stylesheet" href="{{ asset('bundles/avanzuadmintheme/static/dev/styles/admin-lte-all.css') }}" />

    <link href="//cdn.rawgit.com/Eonasdan/bootstrap-datetimepicker/e8bddc60e73c1ec2475f827be36e1957af72e2ea/build/css/bootstrap-datetimepicker.css" rel="stylesheet">

    <link rel="icon" type="image/x-icon" href="" />

    <script type="text/javascript" src="{{ asset('bundles/fosjsrouting/js/router.js') }}"></script>
    <script type="text/javascript" src="{{ path('fos_js_routing_js', {"callback": "fos.Router.setData", "_format" : "json"}) }}"></script>
    {# --------------------------------------------------------------------------------------------- JAVASCRIPTS_HEAD #}
    {%  block javascripts_head %}
        <script type="text/javascript" src="{{ asset('bundles/avanzuadmintheme/static/dev/scripts/modernizr.js') }}"></script>
        <!--[if lt IE 9]>

        <![endif]-->

    {% endblock %}
    <style type="text/css">
        .blockUI {
            z-index: 1069 !important;
        }

        /* Important part */
        .modal-dialog{
            overflow-y: initial !important
        }

        .modal-body{
            max-height: calc(100vh - 200px);
            overflow-y: auto;
        }
    </style>

</head>

{% if is_granted('ROLE_ADMIN_AGENT') and not is_granted('ROLE_SUPER_ADMIN') %}
    {% set isAgent = true %}
{% elseif is_granted('ROLE_ADMIN_ACCOUNTANT') and not is_granted('ROLE_ADMIN_ACCOUNTANT') %}
    {% set isAccountant = true %}
{% endif %}

<body class="{% if isAgent | default(false) or isAccountant | default(false) %}{{ admin_skin|default('skin-blue sidebar-collapse')}}{% else %}{{ admin_skin|default('skin-blue')}}{% endif %}">
<div class="wrapper">

    {% block avanzu_admin_header %}
        <header class="main-header">
            {% block avanzu_logo %}
                <a href="{{ path('admin_default_index') }}" class="logo">
                    <!-- Add the class icon to your logo image or logo icon to add the margining -->
                    {{ block('title') }}
                </a>
            {% endblock %}
            <!-- Header Navbar: style can be found in header.less -->
            <nav class="navbar navbar-static-top" role="navigation">
                <!-- Sidebar toggle button-->
                <a href="#" class="sidebar-toggle" data-toggle="offcanvas" role="button">
                    <span class="sr-only">Toggle navigation</span>
                </a>
                {% if app.user is not null and is_granted('IS_AUTHENTICATED_FULLY') %}
                    <div class="navbar-custom-menu">
                        <ul class="nav navbar-nav">
                            {% block avanzu_navbar %}
                                {{ render(controller('AvanzuAdminThemeBundle:Navbar:user')) }}
                            {% endblock %}
                        </ul>
                    </div>
                {% endif %}
            </nav>
        </header>
    {% endblock %}

    <!-- Left side column. contains the logo and sidebar -->
    <aside class="main-sidebar sidebar-offcanvas">
        <!-- sidebar: style can be found in sidebar.less -->
        <section class="sidebar">
            {% block avanzu_sidebar %}
                {% if app.user is not null and is_granted('IS_AUTHENTICATED_FULLY') %}
                    {{ render(controller('AvanzuAdminThemeBundle:Sidebar:userPanel')) }}
                {% endif %}
                {{ render(controller('AvanzuAdminThemeBundle:Sidebar:menu', {'request':app.request})) }}
            {% endblock %}
        </section>
        <!-- /.sidebar -->
    </aside>

    <!-- Right side column. Contains the navbar and content of the page -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                {% block page_title %}Blank page{% endblock %}
                <small>{% block page_subtitle %}Control panel{% endblock %}</small>
            </h1>
        </section>
        <!-- Main content -->
        <section class="content">

            {% if app.session.flashBag.keys %}
                {% for label, flashes in app.session.flashbag.all %}
                    {% for flash in flashes %}
                        <div class="alert alert-{{ label }} alert-dismissable">
                            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                            <i class="icon fa fa-{% spaceless %}
                            {% if label == 'success' %}
                            check
                            {% elseif label == 'notice' %}
                            info
                            {% elseif label == 'error' %}
                            warning
                            {% endif %}
                            {% endspaceless %}"></i>
                            {{ flash }}
                        </div>
                    {% endfor %}
                {% endfor %}
            {% endif %}

            {% block page_content %}{% endblock %}
        </section>
        <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->

    {% block avanzu_admin_footer %}
        <footer class="main-footer">
            <div class="pull-right hidden-xs">
            </div>
            <strong>Copyright &copy; 2015 <a href="http://www.project.com">http://www.project.com</a>.</strong> All rights reserved.
        </footer>
    {% endblock %}

</div>
<!-- ./wrapper -->

{# ------------------------------------------------------------------------------------------------------ JAVASCRIPTS #}
{% block javascripts %}
    <script src="{{ asset('bundles/avanzuadmintheme/static/dev/scripts/admin-lte-all.js') }}"></script>
    <script src="https://adminlte.io/themes/AdminLTE/bower_components/ckeditor/ckeditor.js"></script>
    <script src="http://malsup.github.io/jquery.blockUI.js"></script>

    <script type="text/javascript">
        $(document).ready(function () {
            $('.data-table').DataTable({
                "iDisplayLength": 100,
                "language": {
                    "sSearch": "Arama",
                    "sSearchPlaceholder": "Aramanızı buraya yazınız.",
                    "lengthMenu": "Her sayfada _MENU_ kayıt görüntüle",
                    "zeroRecords": "Kayıt bulunamadı",
                    "info": "_PAGES_ sayfadan _PAGE_ görüntüleniyor",
                    "infoEmpty": "Kayıt bulunamadı",
                    "infoFiltered": "(filtered from _MAX_ total records)",
                    "oPaginate": {
                        "sFirst": "İlk",
                        "sLast": "Son",
                        "sNext": "Sonraki",
                        "sPrevious": "Önceki"
                    }
                }
            });
        });
    </script>
{% endblock %}

{% block javascripts_inline %}

{% endblock %}
</body>
</html>
